package com.wd.workoffice.bean;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MarkBean   {

        /**
         * createdBy : 137
         * createdByName : null
         * createdTime : 2020-08-04 15:20:56
         * updatedBy : 137
         * updatedByName : null
         * updatedTime : 2020-08-05 17:01:53
         * id : 1
         * customerId : 238
         * productId : 13552
         * receiveCompany : 山东合旭材料科技有限公司
         * customerBranchFactory : 1
         * continuousCastingMachine : 2
         * productName : 塞棒(高碱）加套B354-2
         * productSimpleCode : B354-2
         * productSpec : 1560
         * shipCompany : 3
         * materialCode : 44
         * boxCode : 55
         * materialCodeOther : 66
         * foreignTradeContractNumber : 77
         * domesticShipCompany : 88
         * projectName : 1
         * useLocation :
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private int updatedBy;
        private Object updatedByName;
        private String updatedTime;
        private int id;
        private int customerId;
        private int productId;
        private String receiveCompany;
        private String customerBranchFactory;
        private String continuousCastingMachine;
        private String productName;
        private String productSimpleCode;
        private String productSpec;
        private String shipCompany;
        private String materialCode;
        private String boxCode;
        private String materialCodeOther;
        private String foreignTradeContractNumber;
        private String domesticShipCompany;
        private String projectName;
        private String useLocation;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public int getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(int updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public String getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(String updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getCustomerId() {
            return customerId;
        }

        public void setCustomerId(int customerId) {
            this.customerId = customerId;
        }

        public int getProductId() {
            return productId;
        }

        public void setProductId(int productId) {
            this.productId = productId;
        }

        public String getReceiveCompany() {
            return receiveCompany;
        }

        public void setReceiveCompany(String receiveCompany) {
            this.receiveCompany = receiveCompany;
        }

        public String getCustomerBranchFactory() {
            return customerBranchFactory;
        }

        public void setCustomerBranchFactory(String customerBranchFactory) {
            this.customerBranchFactory = customerBranchFactory;
        }

        public String getContinuousCastingMachine() {
            return continuousCastingMachine;
        }

        public void setContinuousCastingMachine(String continuousCastingMachine) {
            this.continuousCastingMachine = continuousCastingMachine;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getProductSimpleCode() {
            return productSimpleCode;
        }

        public void setProductSimpleCode(String productSimpleCode) {
            this.productSimpleCode = productSimpleCode;
        }

        public String getProductSpec() {
            return productSpec;
        }

        public void setProductSpec(String productSpec) {
            this.productSpec = productSpec;
        }

        public String getShipCompany() {
            return shipCompany;
        }

        public void setShipCompany(String shipCompany) {
            this.shipCompany = shipCompany;
        }

        public String getMaterialCode() {
            return materialCode;
        }

        public void setMaterialCode(String materialCode) {
            this.materialCode = materialCode;
        }

        public String getBoxCode() {
            return boxCode;
        }

        public void setBoxCode(String boxCode) {
            this.boxCode = boxCode;
        }

        public String getMaterialCodeOther() {
            return materialCodeOther;
        }

        public void setMaterialCodeOther(String materialCodeOther) {
            this.materialCodeOther = materialCodeOther;
        }

        public String getForeignTradeContractNumber() {
            return foreignTradeContractNumber;
        }

        public void setForeignTradeContractNumber(String foreignTradeContractNumber) {
            this.foreignTradeContractNumber = foreignTradeContractNumber;
        }

        public String getDomesticShipCompany() {
            return domesticShipCompany;
        }

        public void setDomesticShipCompany(String domesticShipCompany) {
            this.domesticShipCompany = domesticShipCompany;
        }

        public String getProjectName() {
            return projectName;
        }

        public void setProjectName(String projectName) {
            this.projectName = projectName;
        }

        public String getUseLocation() {
            return useLocation;
        }

        public void setUseLocation(String useLocation) {
            this.useLocation = useLocation;
        }
}
